Reject a booking
curl --request POST \
--url https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/reject \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"rejection_reason": "Time slot no longer available"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rejection_reason: 'Time slot no longer available'})
};
fetch('https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/reject"
payload = { "rejection_reason": "Time slot no longer available" }
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "Booking rejected successfully"
}API v1 (deprecated)
Reject booking
Reject a booking. The booking must be in awaiting_approval status.
POST
/
bookings
/
{booking_sid}
/
reject
Reject a booking
curl --request POST \
--url https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/reject \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"rejection_reason": "Time slot no longer available"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rejection_reason: 'Time slot no longer available'})
};
fetch('https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/reject"
payload = { "rejection_reason": "Time slot no longer available" }
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "Booking rejected successfully"
}In API v2, approve, reject, cancel, and reschedule are handled by one endpoint: Update a booking (
PATCH /bookings/{booking_id}), not separate routes.Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
SID of the booking that you want to reject.
Example:
"8sqtzrs"
Body
application/json
Optional reason for rejecting the booking.
Example:
"Time slot no longer available"
Response
200 - application/json
OK - Booking rejected successfully
Example:
"Booking rejected successfully"